> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all invoice accounts



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json get /v1/invoices/accounts
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/invoices/accounts:
    get:
      tags:
        - Invoice
      summary: Get all invoice accounts
      operationId: invoice.accounts
      parameters:
        - name: search
          in: query
          description: The search query.
          schema:
            type:
              - string
              - 'null'
            maxLength: 255
        - name: document_type
          in: query
          description: Filter by document type.
          schema:
            type:
              - string
              - 'null'
            enum:
              - einvoice
              - evoucher
        - name: party_type
          in: query
          description: Filter by party type.
          schema:
            type:
              - string
              - 'null'
            enum:
              - individual
              - company
        - name: integration_id
          in: query
          description: Filter by integration ID.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
        - name: sort_by
          in: query
          description: The field to sort by.
          schema:
            type:
              - string
              - 'null'
            enum:
              - created_at
              - name
              - tax_number
              - default_series
        - name: sort_order
          in: query
          description: The sort direction (asc or desc).
          schema:
            type:
              - string
              - 'null'
            enum:
              - asc
              - desc
        - name: per_page
          in: query
          description: The number of items per page.
          schema:
            type:
              - integer
              - 'null'
            minimum: 1
            maximum: 100
        - name: X-Tenant
          in: header
          required: true
          description: >-
            Tenant identifier. Send the Tenant ID in the `X-Tenant` header to
            scope API requests to a specific tenant.
          schema:
            type: number
      responses:
        '200':
          description: Array of `InvoiceAccountResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/InvoiceAccountResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    InvoiceAccountResource:
      type: object
      properties:
        id:
          type: integer
        integration_id:
          type: integer
        party_type:
          type: string
        party_type_label:
          type: string
        document_type:
          type: string
        document_type_label:
          type: string
        name:
          type:
            - string
            - 'null'
        surname:
          type:
            - string
            - 'null'
        title:
          type:
            - string
            - 'null'
        tax_number:
          type: string
        default_series:
          type:
            - string
            - 'null'
      required:
        - id
        - integration_id
        - party_type
        - party_type_label
        - document_type
        - document_type_label
        - name
        - surname
        - title
        - tax_number
        - default_series
      title: InvoiceAccountResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````